| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::PendingStringList Class Reference

`#include <TelepathyQt4/PendingStringList>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingStringList (QObject *parent=0)
- PendingStringList (QDBusPendingCall call, QObject *parent=0)
- ~PendingStringList ()
- QStringList result () const

## Protected Member Functions

- void setResult (const QStringList &result)

## Constructor & Destructor Documentation

Tp::PendingStringList::PendingStringList | ( | QObject * | parent = `0` | ) |

Tp::PendingStringList::PendingStringList | ( | QDBusPendingCall | call,
|  | QObject * | parent = `0` |
| ) |  |  |

Tp::PendingStringList::~PendingStringList | ( |  | ) |

Class destructor.

## Member Function Documentation

QStringList Tp::PendingStringList::result | ( |  | ) | const

void Tp::PendingStringList::setResult | ( | const QStringList & | result | ) | `[protected]`